> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Product



## OpenAPI

````yaml /openapi.json post /api/v1/brands/{brand_id}/products
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/products:
    post:
      tags:
        - Brands
        - Brands
      summary: Add Product
      operationId: add_product_api_v1_brands__brand_id__products_post
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrandProductCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandProductResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BrandProductCreate:
      properties:
        product_kind:
          type: string
          enum:
            - physical
            - digital
            - service
            - subscription
            - mobile_app
            - marketplace
            - other
          title: Product Kind
          default: other
        name:
          type: string
          maxLength: 300
          minLength: 1
          title: Name
        canonical_url:
          anyOf:
            - type: string
              maxLength: 2000
            - type: 'null'
          title: Canonical Url
        description:
          anyOf:
            - type: string
              maxLength: 4000
            - type: 'null'
          title: Description
        categories:
          items:
            type: string
          type: array
          maxItems: 20
          title: Categories
        price_display:
          anyOf:
            - type: string
              maxLength: 120
            - type: 'null'
          title: Price Display
        billing_period:
          anyOf:
            - type: string
              maxLength: 50
            - type: 'null'
          title: Billing Period
        cta_label:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          title: Cta Label
        cta_url:
          anyOf:
            - type: string
              maxLength: 2000
            - type: 'null'
          title: Cta Url
        platforms:
          items:
            type: string
          type: array
          maxItems: 20
          title: Platforms
        unique_selling_points:
          items:
            type: string
          type: array
          maxItems: 12
          title: Unique Selling Points
        customer_awareness_levels:
          items:
            type: string
            enum:
              - L1
              - L2
              - L3
              - L4
              - L5
          type: array
          maxItems: 5
          title: Customer Awareness Levels
        market_sophistication_levels:
          items:
            type: string
            enum:
              - L1
              - L2
              - L3
              - L4
              - L5
          type: array
          maxItems: 5
          title: Market Sophistication Levels
        related_scenarios:
          items:
            type: string
          type: array
          maxItems: 20
          title: Related Scenarios
        related_personas:
          items:
            type: string
          type: array
          maxItems: 20
          title: Related Personas
        images:
          items:
            $ref: '#/components/schemas/BrandProductImageInput'
          type: array
          maxItems: 12
          title: Images
      additionalProperties: false
      type: object
      required:
        - name
      title: BrandProductCreate
    BrandProductResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        brand_id:
          type: string
          format: uuid
          title: Brand Id
        source:
          type: string
          enum:
            - scraped
            - manual
          title: Source
        product_kind:
          type: string
          enum:
            - physical
            - digital
            - service
            - subscription
            - mobile_app
            - marketplace
            - other
          title: Product Kind
        name:
          type: string
          title: Name
        canonical_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Canonical Url
        external_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Id
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        categories:
          items:
            type: string
          type: array
          title: Categories
        price_amount:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Amount
        price_max_amount:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Max Amount
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        price_display:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Display
        billing_period:
          anyOf:
            - type: string
            - type: 'null'
          title: Billing Period
        cta_label:
          anyOf:
            - type: string
            - type: 'null'
          title: Cta Label
        cta_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Cta Url
        platforms:
          items:
            type: string
          type: array
          title: Platforms
        unique_selling_points:
          items:
            type: string
          type: array
          title: Unique Selling Points
        customer_awareness_levels:
          items:
            type: string
            enum:
              - L1
              - L2
              - L3
              - L4
              - L5
          type: array
          title: Customer Awareness Levels
        market_sophistication_levels:
          items:
            type: string
            enum:
              - L1
              - L2
              - L3
              - L4
              - L5
          type: array
          title: Market Sophistication Levels
        market_sophistication_level:
          anyOf:
            - type: string
              enum:
                - L1
                - L2
                - L3
                - L4
                - L5
            - type: 'null'
          title: Market Sophistication Level
        related_scenarios:
          items:
            type: string
          type: array
          title: Related Scenarios
        related_personas:
          items:
            type: string
          type: array
          title: Related Personas
        priority_score:
          type: number
          title: Priority Score
        priority_reasons:
          items:
            type: string
          type: array
          title: Priority Reasons
        badges:
          items:
            type: string
          type: array
          title: Badges
        catalog_status:
          type: string
          enum:
            - active
            - inactive
            - archived
          title: Catalog Status
        images:
          items:
            $ref: '#/components/schemas/BrandProductImageResponse'
          type: array
          title: Images
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - brand_id
        - source
        - product_kind
        - name
        - priority_score
        - catalog_status
        - created_at
        - updated_at
      title: BrandProductResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    BrandProductImageInput:
      properties:
        source_url:
          type: string
          maxLength: 2000
          minLength: 1
          title: Source Url
        alt_text:
          anyOf:
            - type: string
              maxLength: 500
            - type: 'null'
          title: Alt Text
        position:
          type: integer
          minimum: 0
          title: Position
          default: 0
      type: object
      required:
        - source_url
      title: BrandProductImageInput
    BrandProductImageResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        url:
          type: string
          title: Url
        source_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Url
        alt_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Alt Text
        position:
          type: integer
          title: Position
        origin:
          type: string
          title: Origin
        is_active:
          type: boolean
          title: Is Active
        width:
          anyOf:
            - type: integer
            - type: 'null'
          title: Width
        height:
          anyOf:
            - type: integer
            - type: 'null'
          title: Height
        mime_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Mime Type
      type: object
      required:
        - id
        - url
        - position
        - origin
        - is_active
      title: BrandProductImageResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````